Allow change ALL symbol properties when selecting multiple classes (in new symbology)

2010-11-30 11:17 PM - Alex Mandel

Status: Closed

Priority: Severe/Regression

Assignee: Arunmozhi P

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13335

Description

When dealing with a large number of classes it would be useful to be able to select multiple classes for deletion with the standard

keyboard shortcut of ctrl.

History

#1 - 2010-12-12 05:42 AM - Giovanni Manghi

This is really a feature that is missing in the new symbology and that is available in the old one. It not just useful to allow delete classes, but especially to

allow change at one time the symbology of a group of classes (including the "restict changes to common properties" option).

#2 - 2011-09-24 04:30 AM - Giovanni Manghi

- Subject changed from Allow multiple class selection in new symbology to Allow change ALL symbol properties when selecting multiple classes (in new 

symbology)

- Pull Request or Patch supplied set to No

- Target version deleted (Version 1.7.0)

- Start date set to 2011-09-24

- Must fix deleted (No)

- Priority changed from Low to Normal

New description:

In recent revisions (thanks to Marco H. work) it is possible to select multiple symbology classes (we are talking of new symbology) and by clicking the right

mouse button it is possible to change three properties: transparency, color and units.

This is a step forward, but compared with the old symbology it is still missing the chance to change ALL symbol properties (by clicking on "symbol ->

change"). In fact you can now select multiple classes and click on "symbol -> change" but this has no effect, puzzling even more the user.

#3 - 2011-09-24 04:31 AM - Giovanni Manghi

- Priority changed from Normal to High

- Operating System deleted (All)

#4 - 2011-10-07 09:34 AM - Giovanni Manghi

see also #4366
#5 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#6 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-02 07:22 AM - Arunmozhi P

- Assignee changed from Martin Dobias to Arunmozhi P

I am taking this up from Martin. Hope Martin doesn't have any objections ;)

#8 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#9 - 2012-10-11 04:03 AM - Arunmozhi P

- % Done changed from 0 to 90

Fix at https://github.com/qgis/Quantum-GIS/pull/287

#10 - 2012-10-11 04:09 AM - Giovanni Manghi

Arunmozhi P wrote:

Fix at https://github.com/qgis/Quantum-GIS/pull/287

Hi Arun, this is huge! thanks.

#11 - 2012-10-11 04:21 AM - Nathan Woodrow

- Status changed from Open to Closed

- % Done changed from 90 to 100

- Resolution set to fixed

Fixed in commit:6a5dcac

Thanks heaps Arun

#12 - 2012-12-28 05:52 AM - Giovanni Manghi

- Target version changed from Future Release - Nice to have to Version 2.0.0

- Status info deleted (0)

- Resolution deleted (fixed)

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Tracker changed from Feature request to Bug report

- Priority changed from High to Severe/Regression

2024-03-13 2/4

https://github.com/qgis/Quantum-GIS/pull/287
https://github.com/qgis/Quantum-GIS/pull/287


Nathan Woodrow wrote:

Fixed in commit:6a5dcac

Thanks heaps Arun

it still fails with one of simplest changes, the symbol color, while it seems to work with more advanced parameters like fill type, symbol layer type, etc.

#13 - 2012-12-28 06:06 AM - Arunmozhi P

Giovanni Manghi wrote:

it still fails with one of simplest changes, the symbol color, while it seems to work with more advanced parameters like fill type, symbol layer type,

etc.

I think there is a misunderstanding here. Kindly see the explanation at the pull request https://github.com/qgis/Quantum-GIS/pull/287

Ctrl select multiple entries and click Change button to change the symbol for all the > classes. The symbol is changed but the color of the symbol is

retained to respect the > colorramp. Color can be changed the old way by right-click -> change color

#14 - 2012-12-28 06:16 AM - Giovanni Manghi

- Resolution set to fixed

Arunmozhi P wrote:

Giovanni Manghi wrote:

it still fails with one of simplest changes, the symbol color, while it seems to work with more advanced parameters like fill type, symbol layer type,

etc.

I think there is a misunderstanding here. Kindly see the explanation at the pull request https://github.com/qgis/Quantum-GIS/pull/287

oh I see. I saw also that also in the old symbology changing at once the color of multiple classes wasn't doable, so this will eventually need to be a feature

request. Sorry for the noise.

#15 - 2012-12-28 12:14 PM - Giovanni Manghi

I think there is a misunderstanding here. Kindly see the explanation at the pull request https://github.com/qgis/Quantum-GIS/pull/287

Hi Arun,

selecting a saved style, is this supposed to be applied to all the selected classes?
#16 - 2012-12-28 10:12 PM - Arunmozhi P

Giovanni Manghi wrote:

Hi Arun,

selecting a saved style, is this supposed to be applied to all the selected classes?

Yes. To be more clear, the change button is used to change common things for all the "selected" symbols, when they are selected. It is used to change the

symbol of all classes if No class is selected. So the "Change" button is about symbol only. You can tweak the symbol or select a saved style. It will be

reflected to the classes.

It should be noted that, by changing this way it is possible to have parent "renderer symbol" as X, and all of the classes having either Y or Z or P ..etc. Since

they have been manually changed to something else by the user.

But the color is not altered to respect the color ramp being used. Suppose, if someone want multiple classes to have same color, they can be manually

edited to merge, or select those classes-> right-click-> Change Color.

#17 - 2013-01-01 01:11 AM - Giovanni Manghi

So the "Change" button is about symbol only. You can tweak the symbol or select a saved style. It will be reflected to the classes.

But the color is not altered to respect the color ramp being used.

wouldn't be nice also if the user can just select a few classes and change the symbol by choosing one of the ones available in the style manager, and have

it applied as it is, regardless of the color ramp already applied?

It is obviously a new feature that would require a feature request, but I can see many use cases. Do you agree?
